<template>
  <layout-default>
    <h1>Components</h1>
    <!-- ############ INCLUDES MODULES ############ -->
    <!-- je passe en paramètre navBarClass qui comprend la classe du navbar-->
    <navbar :navBarClass="tabTest[2]"></navbar>
    <hr />
    <navbar navBarClass="navbar-light bg-light justify-content-between"></navbar>
    <hr />
    <navbar navBarClass="navbar-dark bg-primary"></navbar>
    <hr />
    <div class="container" v-if="isContainer">
      <navbar navBarClass="navbar-dark bg-primary"></navbar>
    </div>

    <navbar navBarClass="navbar-dark bg-danger" v-else></navbar>

    <hr />
    <!-- ici j'appelle un autre navbar-->
    <!-- je passe également plusieurs parametres-->
    <navbar2 navBarClass="navbar navbar-expand-lg navbar-light bg-light" collapseClass="collapse navbar-collapse"></navbar2>
  </layout-default>
</template>
<script>
// ############ IMPORT MODULES ############ -->
import LayoutDefault from "@/layouts/LayoutDefault.vue";
import navbar from "@/pages/exemples-imports/navbar.vue";
import navbar2 from "@/pages/exemples-imports/navbar2.vue";

export default {
  components: {
    "layout-default": LayoutDefault,
    navbar: navbar,
    navbar2: navbar2
  },
  data() {
    return {
      // liste des variables
      navBarClass: "navbar-dark bg-dark",
      tabTest: ["bg-dark", "bg-light", "bg-primary"],
      isContainer: true
    };
  }
};
</script>
